package lightcontainer.protocol.rules.reader;

import lightcontainer.protocol.ProtocolReader;

public class HelloRule extends ProtocolReader {

    private static final  String PATTERN = "^HELLO ([A-Za-z0-9]{5,20}) ([0-9]{1,5})\r\n$";

    // Index du domain dans le tableau de donnée
    private static final int DOMAIN = 0;

    //Index du port dans le tableau de donnée
    private static final int PORT = 1;

    public HelloRule() {
        super(PATTERN);
    }


    @Override
    protected void onExecuted(String... data) {
        String domain = data[DOMAIN], port = data[PORT];

        System.out.printf("Règle Hello avec domain=%s et port=%s\n", domain, port);
    }

}
